import React, { useContext } from "react";
import { createContext, useState } from "react";

export const ClientContext = createContext();

export const ClientProvider = (props) => {
  const [client, setClient] = useState();

  return (
    <ClientContext.Provider
      value={{
        client,
        setClient,
      }}
    >
      {props.children}
    </ClientContext.Provider>
  );
};

export function useClient() {
  const context = useContext(ClientContext);
  return context;
}
