import React from "react";
import ReactDOM from "react-dom";
import "./assets/styles/index.css";
import App from "./App";
import { ClientProvider } from "./contexts/Client";
import { IParamsProvider } from "./contexts/IParams";

// eslint-disable-next-line
const consoleError = console.error.bind(console);
// eslint-disable-next-line
console.error = (errObj, ...args) => {
  if (
    process.env.NODE_ENV === "development" &&
    (typeof errObj === "string" || typeof errObj.message === "string") &&
    args.includes("findDOMNode")
  ) {
    return;
  }
  consoleError(errObj, ...args);
};

ReactDOM.render(
  <React.StrictMode>
    <ClientProvider>
      <IParamsProvider>
        <App />
      </IParamsProvider>
    </ClientProvider>
  </React.StrictMode>,
  document.getElementById("root")
);
