import { Space, Spin } from "antd";
import React, { useState, useEffect } from "react";
import { BrowserRouter } from "react-router-dom";
import "./App.css";
import "./assets/scripts/fresh_client";
import { useClient } from "./contexts/Client";
import { useIParams } from "./contexts/IParams";
import DealLocation from "./pages/deal/DealLocation";
// import GlobalLocation from "./pages/global/GlobalLocation";

const App = () => {
  const [child, setChild] = useState(
    <Space
      direction="horizontal"
      style={{ width: "100%", justifyContent: "center" }}
    >
      <Spin tip="Loading..." />
    </Space>
  );
  const { client, setClient } = useClient();
  const { setIParams } = useIParams();

  useEffect(() => {
    (async () => {
      try {
        const client = await app.initialized();
        setClient(client);

        const iParams = await client.iparams.get();
        setIParams(iParams);

        const context = await client.instance.context();

        if (context.location === "deal_entity_menu") {
          setChild(<DealLocation />);
        }

        // if (context.location === "full_page_app") {
        //   setChild(<GlobalLocation />);
        // }
      } catch (error) {
        console.error("devlogs", error);
      }
    })();
  }, []);

  return <BrowserRouter>{child}</BrowserRouter>;
};

export default App;
