import React, { useContext } from "react";
import { createContext, useState } from "react";

export const IParamsContext = createContext();

export const IParamsProvider = (props) => {
  const [iParams, setIParams] = useState();

  return (
    <IParamsContext.Provider
      value={{
        iParams,
        setIParams,
      }}
    >
      {props.children}
    </IParamsContext.Provider>
  );
};

export function useIParams() {
  const context = useContext(IParamsContext);
  return context;
}
