import { Button, Col, Layout, Row, Space } from "antd";
import { Form, Input, InputNumber, Select } from "formik-antd";
import { Content, Footer, Header } from "antd/lib/layout/layout";
import React, { useEffect, useRef, useState } from "react";
import { useNavigate } from "react-router-dom";
import { Formik, useFormik } from "formik";
import AdministracaoSchema from "../../../schemas/AdministracaoSchema";

const locale = "pt-BR";

const makeCnpjMask = (value) => {
  const masked = value
    .replace(/\D+/g, "")
    .replace(/(\d{2})(\d)/, "$1.$2")
    .replace(/(\d{3})(\d)/, "$1.$2")
    .replace(/(\d{3})(\d)/, "$1/$2")
    .replace(/(\d{4})(\d)/, "$1-$2")
    .replace(/(-\d{2})\d+?$/, "$1");

  return masked;
};

const currencyFormatter = (value) => {
  return new Intl.NumberFormat("pt-BR", {
    style: "currency",
    currency: "BRL",
  }).format(value);
};

const currencyParser = (val) => {
  try {
    // for when the input gets clears
    if (typeof val === "string" && !val.length) {
      val = "0.00";
    }

    // detecting and parsing between comma and dot
    var group = new Intl.NumberFormat("pt-BR").format(1111).replace(/1/g, "");
    var decimal = new Intl.NumberFormat("pt-BR").format(1.1).replace(/1/g, "");
    var reversedVal = val.replace(new RegExp("\\" + group, "g"), "");
    reversedVal = reversedVal.replace(new RegExp("\\" + decimal, "g"), ".");
    //  => 1232.21 €

    // removing everything except the digits and dot
    reversedVal = reversedVal.replace(/[^0-9.]/g, "");
    //  => 1232.21

    console.log(reversedVal);

    // appending digits properly
    const digitsAfterDecimalCount = (reversedVal.split(".")[1] || []).length;
    console.log(digitsAfterDecimalCount);
    const needsDigitsAppended = digitsAfterDecimalCount > 2;

    if (needsDigitsAppended) {
      reversedVal = reversedVal * Math.pow(10, digitsAfterDecimalCount - 2);
    }

    return Number.isNaN(reversedVal) ? "" : reversedVal;
  } catch (error) {
    console.error(error);
  }
};
const Administracao = () => {
  const navigate = useNavigate();
  // const [form] = Form.useForm();
  const { Option } = Select;
  const formRef = useRef();

  useEffect(() => {
    console.log(window.location.href);
  }, []);

  // const formik = useFormik({
  //   initialValues: {
  //     nomeFundo: "",
  //     // tipoFundo: "",
  //     // cnpj: "",
  //     // inicioVigencia: "",
  //     // fimVigencia: "",
  //     // dataCobranca: "",
  //     // minimoRemuneracaoMensalInicial: "",
  //     // vigenciaMinimoRemuneracaoMensalInicial: "",
  //     // minimoRemuneracaoMensal: "",
  //     // vigenciaMinimoMensal: "",
  //     // indiceCorrecaoMinimo: "",
  //     // dataReferenciaCorrecaoMinimo: "",
  //     // percentualCorrecao: "",
  //     // periodo: "",
  //     // taxas: "",
  //     // valorFinalRemuneracao: "",
  //     // observacoes: "",
  //   },
  //   validationSchema: AdministracaoSchema,
  //   onSubmit: (values) => {
  //     // axios
  //     //   .post(`${apiURI()}/sign-up`, values)
  //     //   .then(() => {
  //     //     setConfirmation(true);
  //     //   })
  //     //   .catch(({ response: { data: error } }) => {
  //     //     console.error(error);
  //     //     formik.setSubmitting(false);
  //     //     setSignUpErrors(getErrorMessage(error));
  //     //     setTimeout(() => {
  //     //       setSignUpErrors("");
  //     //     }, 3000);
  //     //   });
  //   },
  // });

  return "oi";
  // return (
  //   <Layout>
  //     <Header
  //       style={{
  //         backgroundColor: "white",
  //         position: "fixed",
  //         zIndex: 1,
  //         width: "100%",
  //         textAlign: "end",
  //       }}
  //     >
  //       <Space>
  //         <Button type="primary" onClick={() => navigate(-1)}>
  //           Cancelar
  //         </Button>
  //         <Button type="primary" onClick={() => formRef.current.handleSubmit()}>
  //           Salvar
  //         </Button>
  //       </Space>
  //     </Header>
  //     <Content style={{ backgroundColor: "white", paddingTop: "64px" }}>
  //       <Formik
  //         innerRef={formRef}
  //         initialValues={{
  //           nomeFundo: "",
  //           tipoFundo: "",
  //           patrimonioLiquidoEstimado: 0,
  //         }}
  //         validationSchema={AdministracaoSchema}
  //         render={() => (
  //           <Form
  //             onFinish={formik.handleSubmit}
  //             style={{ padding: "10px" }}
  //             //   {...formItemLayout}
  //             layout="vertical"
  //             // form={form}
  //             //   initialValues={{
  //             //     layout: formLayout,
  //             //   }}
  //             //   onValuesChange={onFormLayoutChange}
  //           >
  //             <Row gutter={16}>
  //               <Col className="gutter-row" span={12}>
  //                 <Form.Item name="nomeFundo" label="Nome do fundo">
  //                   <Input name="nomeFundo" required />
  //                 </Form.Item>
  //               </Col>
  //               <Col className="gutter-row" span={12}>
  //                 <Form.Item name="tipoFundo" label="Tipo de fundo">
  //                   <Select name="tipoFundo" style={{ width: "100%" }}>
  //                     <Option key="FIDC" value="FIDC">
  //                       FIDC
  //                     </Option>
  //                     <Option key="FII" value="FII">
  //                       FII
  //                     </Option>
  //                     <Option key="FIP" value="FIP">
  //                       FIP
  //                     </Option>
  //                     <Option key="FIM / FICFIM" value="FIM / FICFIM">
  //                       FIM / FICFIM
  //                     </Option>
  //                     <Option key="ETF" value="ETF">
  //                       ETF
  //                     </Option>
  //                     <Option key="FIAGRO" value="FIAGRO">
  //                       FIAGRO
  //                     </Option>
  //                     <Option key="FICFIDC" value="FICFIDC">
  //                       FICFIDC
  //                     </Option>
  //                     <Option key="FIA / FICFIA" value="FIA / FICFIA">
  //                       FIA / FICFIA
  //                     </Option>
  //                     <Option key="FIC FII" value="FIC FII">
  //                       FIC FII
  //                     </Option>
  //                     <Option key="FIRF" value="FIRF">
  //                       FIRF
  //                     </Option>
  //                   </Select>
  //                 </Form.Item>
  //               </Col>
  //             </Row>
  //             <Row gutter={16}>
  //               <Col className="gutter-row" span={12}>
  //                 <Form.Item name="cnpj" label="CNPJ">
  //                   <Input
  //                     name="cnpj"
  //                     placeholder="input placeholder"
  //                     formatter={makeCnpjMask}
  //                   />
  //                 </Form.Item>
  //               </Col>
  //               <Col className="gutter-row" span={12}>
  //                 <Form.Item
  //                   name="patrimonioLiquidoEstimado"
  //                   label="Patrimônio líquido estimado"
  //                 >
  //                   <InputNumber
  //                     name="patrimonioLiquidoEstimado"
  //                     style={{ width: "100%" }}
  //                     formatter={currencyFormatter}
  //                     parser={currencyParser}
  //                   />
  //                 </Form.Item>
  //               </Col>
  //             </Row>
  //           </Form>
  //         )}
  //       />
  //     </Content>
  //   </Layout>
  // );
};

export default Administracao;
