import React, { useEffect, useRef, useState } from "react";
import {
  Button,
  Col,
  Layout,
  Popover,
  Row,
  Statistic,
  Table,
  Typography,
} from "antd";
import {
  Form,
  Input,
  InputNumber,
  Select,
  DatePicker,
  SubmitButton,
} from "formik-antd";
import { Formik, useFormik } from "formik";
import { render } from "react-dom";
import { SettingOutlined } from "@ant-design/icons/lib/icons";

const { Header, Footer, Sider, Content } = Layout;
const { Option } = Select;
const { Title } = Typography;

const fakeData = [
  {
    id: 1,
    date: "01/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade A",
    contactId: 1,
    contactDesc: "Cliente A",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 2,
    date: "03/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade B",
    contactId: 1,
    contactDesc: "Cliente B",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "05/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade C",
    contactId: 1,
    contactDesc: "Cliente C",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "07/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade D",
    contactId: 1,
    contactDesc: "Cliente D",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "08/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade E",
    contactId: 1,
    contactDesc: "Cliente E",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "09/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade F",
    contactId: 1,
    contactDesc: "Cliente F",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "10/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade G",
    contactId: 1,
    contactDesc: "Cliente G",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "15/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade H",
    contactId: 1,
    contactDesc: "Cliente H",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "01/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade A",
    contactId: 1,
    contactDesc: "Cliente A",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 2,
    date: "03/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade B",
    contactId: 1,
    contactDesc: "Cliente B",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "05/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade C",
    contactId: 1,
    contactDesc: "Cliente C",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "07/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade D",
    contactId: 1,
    contactDesc: "Cliente D",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "08/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade E",
    contactId: 1,
    contactDesc: "Cliente E",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "09/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade F",
    contactId: 1,
    contactDesc: "Cliente F",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "10/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade G",
    contactId: 1,
    contactDesc: "Cliente G",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "15/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade H",
    contactId: 1,
    contactDesc: "Cliente H",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "01/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade A",
    contactId: 1,
    contactDesc: "Cliente A",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 2,
    date: "03/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade B",
    contactId: 1,
    contactDesc: "Cliente B",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "05/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade C",
    contactId: 1,
    contactDesc: "Cliente C",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "07/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade D",
    contactId: 1,
    contactDesc: "Cliente D",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "08/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade E",
    contactId: 1,
    contactDesc: "Cliente E",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "09/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade F",
    contactId: 1,
    contactDesc: "Cliente F",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "10/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade G",
    contactId: 1,
    contactDesc: "Cliente G",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
  {
    id: 1,
    date: "15/03/2022",
    dealId: 1,
    dealDesc: "Oportunidade H",
    contactId: 1,
    contactDesc: "Cliente H",
    productId: "Administração de fundos e custódia",
    amount: "1.000.000,00",
  },
];

const GlobalHome = () => {
  const [showPeriodPorOver, setPeriodPopOverVisible] = useState(false);
  const [periodPicker, setPeriodPicker] = useState("month");
  const [entries, setEntries] = useState();

  useEffect(() => {
    setEntries(fakeData);
  }, []);

  const changePeriodPicker = (picker) => {
    setPeriodPicker(picker);
    setPeriodPopOverVisible(false);
  };

  const columns = [
    {
      title: "Data",
      dataIndex: "date",
      width: "20%",
    },
    {
      title: "Oportunidade",
      dataIndex: "dealDesc",
      width: "30%",
    },
    {
      title: "Produto",
      dataIndex: "productId",
      width: "30%",
    },
    {
      title: "Valor",
      dataIndex: "amount",
      width: "20%",
    },
  ];

  return (
    <Layout>
      {/* <Header style={{ backgroundColor: "#eeeeee" }}>
        <Title level={2}>Lançamentos</Title>
      </Header> */}
      <Layout hasSider>
        <Sider
          width={"300"}
          style={{
            padding: "1%",
            backgroundColor: "#eeeeee",
            overflow: "auto",
            height: "100vh",
            position: "fixed",
            left: 0,
            top: 0,
            bottom: 0,
          }}
        >
          <Formik
            initialValues={{ period: "", product: [] }}
            render={() => (
              <Form layout="vertical">
                <Form.Item name="period" label="Período">
                  <Row gutter={10}>
                    <Col span={20}>
                      <DatePicker
                        name="period"
                        picker={periodPicker}
                        style={{ width: "100%" }}
                      />
                    </Col>
                    <Col span={4}>
                      <Popover
                        content={
                          <div>
                            <Button onClick={() => changePeriodPicker("month")}>
                              Mensal
                            </Button>
                            <Button
                              onClick={() => changePeriodPicker("quarter")}
                            >
                              Trimestral
                            </Button>
                            <Button onClick={() => changePeriodPicker("year")}>
                              Anual
                            </Button>{" "}
                          </div>
                        }
                        trigger="click"
                        visible={showPeriodPorOver}
                        onVisibleChange={(visible) =>
                          setPeriodPopOverVisible(visible)
                        }
                      >
                        <Button
                          type="primary"
                          shape="circle"
                          icon={<SettingOutlined />}
                        />
                      </Popover>
                    </Col>
                  </Row>
                </Form.Item>
                <Form.Item name="product" label="Produtos">
                  <Select
                    name="product"
                    // value={[]}
                    style={{ width: "100%" }}
                    mode="multiple"
                    allowClear
                    // defaultValue={[]}
                  >
                    <Option key="administracao" value="administracao">
                      Administração de fundos e custódia
                    </Option>
                    <Option key="prateleira" value="prateleira">
                      Prateleira
                    </Option>
                    <Option key="escrituracao" value="escrituracao">
                      Escrituração
                    </Option>
                  </Select>
                </Form.Item>
                <SubmitButton style={{ width: "100%" }}>Filtrar</SubmitButton>
              </Form>
            )}
          />
          <Row gutter={16} style={{ marginTop: "12%" }}>
            <Col span={12}>
              <Statistic
                groupSeparator="."
                decimalSeparator=","
                title="Confirmado"
                value={2313145.33}
              />
            </Col>
          </Row>
          <Row style={{ marginTop: "10%" }}>
            <Col span={12}>
              <Statistic
                groupSeparator="."
                decimalSeparator=","
                title="Projetado"
                value={56654646554.86}
              />
            </Col>
          </Row>
        </Sider>
        <Layout style={{ marginLeft: 300 }}>
          <Content
            style={
              {
                // backgroundColor: "#ebeff3",
                // margin: "24px 16px 0",
                // overflow: "initial",
              }
            }
          >
            <Table
              scroll={{ y: "calc(100vh - 7em)" }}
              style={{ padding: "1%" }}
              columns={columns}
              dataSource={entries}
              pagination={false}
            ></Table>
          </Content>
        </Layout>
      </Layout>
    </Layout>
  );
};
export default GlobalHome;
